## org.beepcore.beep.profile.sasl.otp
Class OTPGenerator

    java.lang.Object
      org.beepcore.beep.profile.sasl.otp.OTPGenerator

public class OTPGenerator
extends java.lang.Object

This class serves as a utility that generates OTP information (in the form of a java.util.Properties that can be written to network or disk.

Constructor Summary
`OTPGenerator()`

Method Summary
`static void` `main(java.lang.String[] argv)` Method main is the method used to run the OTP generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OTPGenerator

    public OTPGenerator()

Method Detail

### main

    public static void main(java.lang.String[] argv)
                     throws SASLException

  Method main is the method used to run the OTP generator. IT prompts the users for information necessary to create the OTP database and validates as it goes. Once it has valid input, it produces the file.

  Throws:
    `SASLException`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.